namespace InABox.Core
{
    public class DateEditor : BaseEditor
    {
        public DateEditor()
        {
            Visible = Visible.Default;
            Width = 70;
            Alignment = Alignment.MiddleCenter;
            Format = "dd/MM/yyyy";
            TodayVisible = false;
        }

        public bool TodayVisible { get; set; }

        protected override BaseEditor DoClone()
        {
            return new DateEditor { TodayVisible = TodayVisible };
        }
    }
}